<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__sdp__discovery__attribute__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_sdp_discovery_attribute_t</compoundname>
    <includes local="no">wiced_bt_sdp.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__sdp__discovery__attribute__t_1a8928cd1e5271eea889abcf0d56b99e56" kind="variable" mutable="no" prot="public" static="no">
        <type>struct t_sdp_discovery_attr *</type>
        <definition>struct t_sdp_discovery_attr* wiced_bt_sdp_discovery_attribute_t::p_next_attr</definition>
        <argsstring />
        <name>p_next_attr</name>
        <briefdescription>
<para>Addr of next linked attr. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="110" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="110" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__t_1a7607974079edbe8c3b3eca493422cf75" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_discovery_attribute_t::attr_id</definition>
        <argsstring />
        <name>attr_id</name>
        <briefdescription>
<para>Attribute ID. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="111" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="111" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__t_1a1e5c9ec8233d82311ec3263cb6b0754f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_discovery_attribute_t::attr_len_type</definition>
        <argsstring />
        <name>attr_len_type</name>
        <briefdescription>
<para>Length and type fields. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="112" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="112" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__t_1ac8ab2352d0698804982a3ee84a110f21" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__sdp__discovery__attribute__value__t">wiced_bt_sdp_discovery_attribute_value_t</ref></type>
        <definition>wiced_bt_sdp_discovery_attribute_value_t wiced_bt_sdp_discovery_attribute_t::attr_value</definition>
        <argsstring />
        <name>attr_value</name>
        <briefdescription>
<para>Variable length entry data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="113" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="113" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SDP Attribute. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="641">
        <label>wiced_bt_sdp_discovery_attribute_value_t</label>
        <link refid="structwiced__bt__sdp__discovery__attribute__value__t" />
      </node>
      <node id="640">
        <label>wiced_bt_sdp_discovery_attribute_t</label>
        <link refid="structwiced__bt__sdp__discovery__attribute__t" />
        <childnode refid="641" relation="usage">
          <edgelabel>attr_value</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="114" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="108" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="109" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__t_1a7607974079edbe8c3b3eca493422cf75" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_t</scope><name>attr_id</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__t_1a1e5c9ec8233d82311ec3263cb6b0754f" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_t</scope><name>attr_len_type</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__t_1ac8ab2352d0698804982a3ee84a110f21" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_t</scope><name>attr_value</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__t_1a8928cd1e5271eea889abcf0d56b99e56" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_t</scope><name>p_next_attr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>